> For the complete documentation index, see [llms.txt](https://docs.hypertensor.org/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hypertensor.org/subnet-template/dht-records/record-validator/how-to-use.md).

# How To Use

The subnet can utilize multiple record validators that are used in order of priority (see [RecordValidatorBase](/subnet-template/dht-records/record-validator.md#recordvalidatorbase)).

## Usage

#### Starting the DHT with:

* [Signature Validator](/subnet-template/dht-records/record-validator/signature-validators.md#signaturevalidator-rsa-and-ed25519) (Record Validator)
* [Hypertensor Predicate Validator](/subnet-template/dht-records/record-validator/predicate-validator.md#hypertensor-predicate-validator) (Record Validator)

```python
# Initialized with top priority
signature_validator = SignatureValidator(pk)

# Initialize with priority below the SignatureValidator
consensus_predicate = HypertensorPredicateValidator.from_predicate_class(
     MockHypertensorCommitReveal, hypertensor=self.hypertensor, subnet_id=subnet_id
)

record_validators=[consensus_predicate, signature_validator]

dht = DHT(
     initial_peers=initial_peers,
     start=True,
     num_workers=DEFAULT_NUM_WORKERS,
     use_relay=use_relay,
     use_auto_relay=use_auto_relay,
     client_mode=reachable_via_relay,
     record_validators=record_validators,
     **kwargs,
)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hypertensor.org/subnet-template/dht-records/record-validator/how-to-use.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
